import React from 'react';
import ReactDOM from 'react-dom';
import { range } from 'd3';

import { Face } from './Face';

const width = 155;
const height = 155;
const fills = ['lightgreen', 'aqua', 'yellow', 'pink']

const App = () =>
  range(18).map(() => (
    <Face
      width={width}
      height={height}
      centerX={width / 2}
      centerY={height / 2}
      strokeWidth={10}
      eyeOffsetX={30}
      eyeOffsetY={20}
      eyeRadius={5 + 10 * Math.random()}
      mouthWidth={10}
      mouthRadius={20 * Math.random()}
      fill={fills[Math.floor(Math.random() * fills.length)]}
    />
  ));

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
